From cc671c65e37aa04ce3d7e583920a3ef044409606 Mon Sep 17 00:00:00 2001
From: Shazad Hussain <quic_shazhuss@quicinc.com>
Date: Tue, 25 Oct 2022 16:52:29 +0530
Subject: [PATCH 38/65] revert: removed hacks for enabling serial console

removed hacks used in WIP: Serial console enable
and hack: clk: qcom: clk hack to enable serial console commits.

Signed-off-by: Shazad Hussain <quic_shazhuss@quicinc.com>
Change-Id: I6ba4e4465bb1e06f3eac7b117bb4b352199cf051
---
 drivers/clk/qcom/gcc-lemans.c         | 26 ++------------------------
 drivers/soc/qcom/qcom-geni-se.c       | 10 ++--------
 drivers/tty/serial/qcom_geni_serial.c |  6 ------
 3 files changed, 4 insertions(+), 38 deletions(-)

diff --git a/drivers/clk/qcom/gcc-lemans.c b/drivers/clk/qcom/gcc-lemans.c
index 7f7bb541f0dd..befd2ecdb5e2 100644
--- a/drivers/clk/qcom/gcc-lemans.c
+++ b/drivers/clk/qcom/gcc-lemans.c
@@ -24,9 +24,6 @@
 #include "gdsc.h"
 #include "reset.h"
 
-#define CFG_REG			0x4
-#define RCG_CFG_OFFSET(rcg)	((rcg)->cmd_rcgr + (rcg)->cfg_off + CFG_REG)
-
 /* Need to match the order of clocks in DT binding */
 enum {
 	DT_BI_TCXO,
@@ -3146,7 +3143,7 @@ static struct clk_branch gcc_qupv3_wrap1_s3_clk = {
 				&gcc_qupv3_wrap1_s3_clk_src.clkr.hw,
 			},
 			.num_parents = 1,
-			.flags = CLK_SET_RATE_PARENT | CLK_IS_CRITICAL,
+			.flags = CLK_SET_RATE_PARENT,
 			.ops = &clk_branch2_ops,
 		},
 	},
@@ -3461,7 +3458,6 @@ static struct clk_branch gcc_qupv3_wrap_1_m_ahb_clk = {
 		.hw.init = &(const struct clk_init_data){
 			.name = "gcc_qupv3_wrap_1_m_ahb_clk",
 			.ops = &clk_branch2_ops,
-			.flags = CLK_IS_CRITICAL,
 		},
 	},
 };
@@ -3477,7 +3473,6 @@ static struct clk_branch gcc_qupv3_wrap_1_s_ahb_clk = {
 		.hw.init = &(const struct clk_init_data){
 			.name = "gcc_qupv3_wrap_1_s_ahb_clk",
 			.ops = &clk_branch2_ops,
-			.flags = CLK_IS_CRITICAL,
 		},
 	},
 };
@@ -4746,7 +4741,6 @@ static int gcc_lemans_probe(struct platform_device *pdev)
 {
 	struct regmap *regmap;
 	int ret;
-	u32 r, cfg;
 
 	regmap = qcom_cc_map(pdev, &gcc_lemans_desc);
 	if (IS_ERR(regmap))
@@ -4773,23 +4767,7 @@ static int gcc_lemans_probe(struct platform_device *pdev)
 	regmap_update_bits(regmap, 0x34004, BIT(0), BIT(0));
 	regmap_update_bits(regmap, 0x34024, BIT(0), BIT(0));
 
-	//return qcom_cc_really_probe(pdev, &gcc_lemans_desc, regmap);;
-	ret = qcom_cc_really_probe(pdev, &gcc_lemans_desc, regmap);
-	if (ret) {
-		dev_err(&pdev->dev, "Failed to register GCC clocks\n");
-		return ret;
-	}
-
-	r = regmap_write(regmap, RCG_CFG_OFFSET(&gcc_qupv3_wrap1_s3_clk_src), 0x102601);
-	if (r) {
-		pr_err("%s: Unable to write CFG register for gcc_qupv3_wrap1_s3_clk_src\n",__func__);
-	}
-	r = regmap_write(regmap, 0x244F0, 0x11);
-	if (r) {
-		pr_err("%s: Unable to writ register for gcc_qupv3_wrap1_s3_clk_src\n",__func__);
-	}
-	dev_info(&pdev->dev, "Registered GCC clocks\n");
-	return ret;
+	return qcom_cc_really_probe(pdev, &gcc_lemans_desc, regmap);;
 }
 
 static struct platform_driver gcc_lemans_driver = {
diff --git a/drivers/soc/qcom/qcom-geni-se.c b/drivers/soc/qcom/qcom-geni-se.c
index ea686f3e34ff..b3a361d45e3f 100644
--- a/drivers/soc/qcom/qcom-geni-se.c
+++ b/drivers/soc/qcom/qcom-geni-se.c
@@ -493,13 +493,11 @@ EXPORT_SYMBOL(geni_se_config_packing);
 
 static void geni_se_clks_off(struct geni_se *se)
 {
-#if 0
 	struct geni_wrapper *wrapper = se->wrapper;
 
 	clk_disable_unprepare(se->clk);
 	clk_bulk_disable_unprepare(ARRAY_SIZE(wrapper->ahb_clks),
 						wrapper->ahb_clks);
-#endif
 }
 
 /**
@@ -527,8 +525,7 @@ EXPORT_SYMBOL(geni_se_resources_off);
 
 static int geni_se_clks_on(struct geni_se *se)
 {
-	int ret = 0;
-#if 0
+	int ret;
 	struct geni_wrapper *wrapper = se->wrapper;
 
 	ret = clk_bulk_prepare_enable(ARRAY_SIZE(wrapper->ahb_clks),
@@ -540,7 +537,6 @@ static int geni_se_clks_on(struct geni_se *se)
 	if (ret)
 		clk_bulk_disable_unprepare(ARRAY_SIZE(wrapper->ahb_clks),
 							wrapper->ahb_clks);
-#endif
 	return ret;
 }
 
@@ -879,7 +875,7 @@ static int geni_se_probe(struct platform_device *pdev)
 {
 	struct device *dev = &pdev->dev;
 	struct geni_wrapper *wrapper;
-//	int ret;
+	int ret;
 
 	wrapper = devm_kzalloc(dev, sizeof(*wrapper), GFP_KERNEL);
 	if (!wrapper)
@@ -889,7 +885,6 @@ static int geni_se_probe(struct platform_device *pdev)
 	wrapper->base = devm_platform_ioremap_resource(pdev, 0);
 	if (IS_ERR(wrapper->base))
 		return PTR_ERR(wrapper->base);
-#if 0
 	if (!has_acpi_companion(&pdev->dev)) {
 		wrapper->ahb_clks[0].id = "m-ahb";
 		wrapper->ahb_clks[1].id = "s-ahb";
@@ -899,7 +894,6 @@ static int geni_se_probe(struct platform_device *pdev)
 			return ret;
 		}
 	}
-#endif
 
 	dev_set_drvdata(dev, wrapper);
 	dev_dbg(dev, "GENI SE Driver probed\n");
diff --git a/drivers/tty/serial/qcom_geni_serial.c b/drivers/tty/serial/qcom_geni_serial.c
index ec23f536c24f..72012d12f86e 100644
--- a/drivers/tty/serial/qcom_geni_serial.c
+++ b/drivers/tty/serial/qcom_geni_serial.c
@@ -1359,14 +1359,12 @@ static int qcom_geni_serial_probe(struct platform_device *pdev)
 	uport->dev = &pdev->dev;
 	port->se.dev = &pdev->dev;
 	port->se.wrapper = dev_get_drvdata(pdev->dev.parent);
-#if 0
 	port->se.clk = devm_clk_get(&pdev->dev, "se");
 	if (IS_ERR(port->se.clk)) {
 		ret = PTR_ERR(port->se.clk);
 		dev_err(&pdev->dev, "Err getting SE Core clk %d\n", ret);
 		return ret;
 	}
-#endif
 
 	res = platform_get_resource(pdev, IORESOURCE_MEM, 0);
 	if (!res)
@@ -1383,7 +1381,6 @@ static int qcom_geni_serial_probe(struct platform_device *pdev)
 		if (!port->rx_fifo)
 			return -ENOMEM;
 	}
-#if 0
 	ret = geni_icc_get(&port->se, NULL);
 	if (ret)
 		return ret;
@@ -1394,7 +1391,6 @@ static int qcom_geni_serial_probe(struct platform_device *pdev)
 	ret = geni_icc_set_bw(&port->se);
 	if (ret)
 		return ret;
-#endif
 	port->name = devm_kasprintf(uport->dev, GFP_KERNEL,
 			"qcom_geni_serial_%s%d",
 			uart_console(uport) ? "console" : "uart", uport->line);
@@ -1415,7 +1411,6 @@ static int qcom_geni_serial_probe(struct platform_device *pdev)
 
 	if (of_property_read_bool(pdev->dev.of_node, "cts-rts-swap"))
 		port->cts_rts_swap = true;
-#if 0
 	ret = devm_pm_opp_set_clkname(&pdev->dev, "se");
 	if (ret)
 		return ret;
@@ -1425,7 +1420,6 @@ static int qcom_geni_serial_probe(struct platform_device *pdev)
 		dev_err(&pdev->dev, "invalid OPP table in device tree\n");
 		return ret;
 	}
-#endif
 	port->private_data.drv = drv;
 	uport->private_data = &port->private_data;
 	platform_set_drvdata(pdev, port);
-- 
2.31.1

